/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Viviane Yang
 *   Co-authors:
 *      ...
 *
 */

/**
@file
@brief
    Shared library macros, enums, constants and forward declarations for the Asteroids2D module
*/

#ifndef _Asteroids2DPrereqs_H__
#define _Asteroids2DPrereqs_H__

#include "OrxonoxConfig.h"
#include "OrxonoxPrereqs.h"

//-----------------------------------------------------------------------
// Shared library settings
//-----------------------------------------------------------------------

#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ASTEROIDS2D_STATIC_BUILD)
#  ifdef ASTEROIDS2D_SHARED_BUILD
#    define _Asteroids2DExport __declspec(dllexport)
#  else
#    if defined( __MINGW32__ )
#      define _Asteroids2DExport
#    else
#      define _Asteroids2DExport __declspec(dllimport)
#    endif
#  endif
#  define _Asteroids2DPrivate
#elif defined (ORXONOX_GCC_VISIBILITY)
#  define _Asteroids2DExport  __attribute__ ((visibility("default")))
#  define _Asteroids2DPrivate __attribute__ ((visibility("hidden")))
#else
#  define _Asteroids2DExport
#  define _Asteroids2DPrivate
#endif

//-----------------------------------------------------------------------
// Forward declarations
//-----------------------------------------------------------------------

namespace orxonox
{
    class Asteroids2D;
    class Asteroids2DCenterPoint;
    class Asteroids2DHUDinfo;
    class Asteroids2DShip;
    class Asteroids2DStone;
    class Asteroids2DWeapon;
}

#endif /* _Asteroids2DPrereqs_H__*/
