/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Julien Kindle
 *   Co-authors:
 *      
 *
 */

#ifndef _SOBCenterpoint_H__
#define _SOBCenterpoint_H__

#include "superorxobros/SOBPrereqs.h"
#include "worldentities/StaticEntity.h"

namespace orxonox
{
    
    /**
    @brief
        @brief The SOBCenterpoint is a StaticEntity which represents the level of the minigame. Everybody used it so I used it too, do not ask my why..
    */
    class _SOBExport SOBCenterpoint : public StaticEntity
    {
        public:
            SOBCenterpoint(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually SOB.
            virtual ~SOBCenterpoint() {}
            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method to create a SOBCenterpoint through XML.
            
            void setFigureTemplate(const std::string& newTemplate)
                { this->figureTemplate_ = newTemplate;
                }
            const std::string& getFigureTemplate() const
                { return this->figureTemplate_; }
            

            void setCameraOffset(const float cameraOffset)
                { this->cameraOffset_ = cameraOffset; }
            float getCameraOffset() const
                { return cameraOffset_; }


        private:
            void checkGametype();
           
            std::string figureTemplate_;
    
       
            float cameraOffset_;
    };
}

#endif /* _SOBCenterpoint_H__ */
